*, ::after, ::before {
    box-sizing: border-box;
}
html {
    -webkit-tap-highlight-color: transparent;
    overflow-y: scroll;
    -webkit-text-size-adjust: 100%;
    text-size-adjust: 100%}
body {
    font-size: 18px;
    line-height: 1.6;
    word-break: break-word;
    font-family: literata;
    padding-left: var(--main-padding);
    padding-right: var(--main-padding);
    color: var(--content-primary);
    background: var(--background);
    margin: 0 auto !important;
    max-width: 1000px;
}
a, button, body, h1, h2, h3, h4, h5, h6, p {
    color: var(--content-primary);
}
@font-face {
    font-family: literata;
    src: url(/fonts/Literata/Literata-Light.woff2)format('woff2');
    font-weight: light;
    font-style: normal;
}
@font-face {
    font-family: literata;
    src: url(/fonts/Literata/Literata-LightItalic.woff2)format('woff2');
    font-weight: light;
    font-style: italic;
}
@font-face {
    font-family: literata;
    src: url(/fonts/Literata/Literata-SemiBold.woff2)format('woff2');
    font-weight: 700;
    font-style: normal;
}
@font-face {
    font-family: literata;
    src: url(/fonts/Literata/Literata-SemiBoldItalic.woff2)format('woff2');
    font-weight: 700;
    font-style: italic;
}
@font-face {
    font-family: monaspace;
    src: url(/fonts/Monaspace/MonaspaceArgon-Regular.woff)format('woff');
    font-weight: 400;
    font-style: normal;
}
@font-face {
    font-family: monaspace;
    src: url(/fonts/Monaspace/MonaspaceArgon-SemiBold.woff)format('woff');
    font-weight: 700;
    font-style: normal;
}
article, aside, figcaption, figure, header, hgroup, main, nav, section, table {
    display: block;
}
h1, h2, h3, h4, h5, h6 {
    line-height: 1.2;
}
h1, h2, h3, h4, h5, h6, p {
    margin-top: 0;
    margin-bottom: 0;
}
ul {
    padding: 0;
}
a {
    text-decoration: none;
}
body, figure, ul {
    margin: 0;
}
table {
    width: 100%;
    border-collapse: collapse;
    border-spacing: 0;
    overflow-x: auto;
    word-break: keep-all;
}
img {
    display: block;
    max-width: 100%}
:root {
    --main-width: 780px;
    --main-padding: 1.4em;
    --main-padding-bottom: 3rem;
    --header-top-gap: 2rem;
    --header-bottom-gap: 2rem;
    --header-menu-side-gap: .5rem;
    --header-menu-top-gap: 1rem;
    --h1-margin-top: 2rem;
    --h1-margin-bottom: 1.5rem;
    --h2-margin-top: 2rem;
    --h2-margin-bottom: 1.5rem;
    --hx-margin-top: 1.5rem;
    --hx-margin-bottom: 1rem;
    --p-margin-top: 1rem;
    --p-margin-bottom: 1rem;
    --h1-font-size: 2em;
    --h2-font-size: 1.8em;
    --hx-font-size: 1.3em;
    --p-font-size: 1em;
    --p-line-height: 1.5em;
    --li-indent: 1.5rem;
    --ul-margin-top: 1rem;
    --ul-margin-bottom: 1rem;
    --toc-margin-top: 2rem;
    --toc-margin-bottom: 3rem;
    --footer-height: 3rem;
    --content-height: calc(100vh - var(--footer-height));
    --table-cell-padding: .5rem;
    --table-margin-top: 1.5rem;
    --table-margin-bottom: 1.5rem;
}
@media screen and (max-width:1024px) {
    :root {
    --main-width: 750px;
    --header-top-gap: 1rem;
}
}@media screen and (max-width:640px) {
    :root {
    --header-top-gap: 1rem;
    --social-icons-bottom-margin: 0rem;
}
}.flex {
    display: flex;
}
.bold {
    font-weight: 700;
}
.italic {
    font-style: italic;
}
.small {
    font-size: medium;
}
.monospace {
    font-family: monaspace;
}
html {
    scroll-behavior: smooth;
}
h1 {
    margin-top: var(--h1-margin-top);
    margin-bottom: var(--h1-margin-bottom);
    font-size: var(--h1-font-size);
}
h2 {
    margin-top: var(--h2-margin-top);
    margin-bottom: var(--h2-margin-bottom);
    font-size: var(--h2-font-size);
}
h3, h4, h5, h6 {
    font-size: var(--hx-font-size);
    margin-top: var(--hx-margin-top);
    margin-bottom: var(--hx-margin-bottom);
}
p {
    margin-top: var(--p-margin-top);
    margin-bottom: var(--p-margin-bottom);
    font-size: var(--p-font-size);
    line-height: var(--p-line-height);
}
ul {
    margin-top: var(--ul-margin-top);
    margin-bottom: var(--ul-margin-bottom);
}
li {
    margin-left: var(--li-indent);
}
a {
    text-decoration: underline;
}
.header {
    padding-top: var(--header-top-gap);
    margin-bottom: var(--header-bottom-gap);
}
.header p {
    font-family: monospace;
    margin-top: var(--header-menu-top-gap);
    margin-right: var(--header-menu-side-gap);
}
.header-title {
    font-size: 2.6em;
    font-weight: 700;
    margin-bottom: 0;
    margin-top: 0;
}
.list-container {
    padding-bottom: 3rem;
}
.single-title {
    margin-bottom: .5rem;
}
.toc {
    font-size: var(--p-font-size);
    line-height: calc(.9 * var(--p-line-height));
    margin-top: var(--toc-margin-top);
    margin-bottom: var(--toc-margin-bottom);
}
.toc ul {
    margin-top: .1rem;
    margin-bottom: .1rem;
}
.toc li {
    margin-top: .1rem;
    margin-bottom: .1rem;
}
.not-found {
    display: flex;
    align-items: center;
    justify-content: center;
}
.not-found div {
    text-align: center;
}
.not-found div h1 {
    font-size: 6rem;
    margin-bottom: 3rem;
}
.not-found div p {
    font-size: 2em;
}
table {
    border-collapse: collapse;
    margin-top: var(--table-margin-top);
    margin-bottom: var(--table-margin-bottom);
    font-size: var(--p-font-size);
    line-height: var(--p-line-height);
    color: var(--content-primary);
}
th, td {
    padding: var(--table-cell-padding);
    border: 1px solid var(--code-border);
    text-align: left;
}
th {
    background-color: var(--code-background);
    font-weight: 700;
}
header {
    text-align: center;
}
h1.header-title {
    text-decoration: none!important;
}
.header-pages {
    display: inline-flex;
    font-family: monaspace;
    font-size: .95em;
}
.header p {
    font-family: monaspace;
    font-size: .9em;
}
.header-page.bold {
    text-decoration: underline;
}
.header-page {
    font-size: 1em;
    padding: 0 .8em;
}
.header-page>a {
    text-decoration: none;
}
.header-icon {
    display: inline-block;
    height: 1.2em;
    position: absolute;
    margin-left: .3em;
}
.inline-icon {
    display: inline-block;
    height: 1em;
    position: absolute;
    margin-top: .3em;
}
.invertit {
    filter: invert();
}
h1, h2, h3, h4 {
    text-decoration: underline;
}
.single-title::before {
    content: "/"}
h2::before {
    content: "/"}
h3::before, h4::before {
    content: "//"}
.li-content {
    margin-left: 1em;
}
.table-short tr::before {
    background: #fff;
    content: "";
    color: #fff;
    border-radius: 50%;
    width: .3em;
    height: .3em;
    display: block;
    margin-top: .7em;
    margin-left: .7em;
}
.no-bullet tr::before {
    display: none;
}
.table-short td {
    border: 0;
    padding-top: .05em;
    padding-bottom: .05em;
    vertical-align: top;
}
#toggle-theme {
    position: absolute;
    top: 1em;
    right: 1em;
    height: 1.5em;
    cursor: pointer;
}
.table-border {
    padding: 1em;
    border: 1px solid;
}
@media screen and (max-width:640px) {
    .header-pages {
    display: block;
    margin-top: 1em!important;
}
.header-page {
    margin: 0;
    margin-top: .2em!important;
}
.header-title span {
    display: none;
}
.header-title:after {
    content: "Gerard R.A."}
.table-short.table-short-mobil {
    margin-top: 0;
}
.table-short.table-short-mobil tr {
    margin-top: 1em;
    display: block;
}
.table-short.table-short-mobil tr::before {
    display: none!important;
}
.table-short.table-short-mobil td {
    display: block;
}
#toggle-theme {
    top: 14.3em;
}
.table-border {
    padding: 0;
    border: 0 solid;
}
}:root {
    --content-primary: rgb(36,  36,  36);
    --content-secondary: rgb(117,  117,  117);
    --background: rgb(255,  255,  255);
}
.dark {
    --content-primary: rgb(218,  218,  218);
    --content-secondary: rgb(140,  140,  140);
    --background: rgb(20,  20,  20);
}
:root {
    --content-primary: rgb(36,  36,  36);
    --content-secondary: rgb(117,  117,  117);
    --background: rgb(255,  255,  255);
}
